about summary refs log tree commit diff
diff options
context:
space:
mode:
-rw-r--r--mkimage.sh.in4
1 files changed, 1 insertions, 3 deletions
diff --git a/mkimage.sh.in b/mkimage.sh.in
index c154666..ded9b7d 100644
--- a/mkimage.sh.in
+++ b/mkimage.sh.in
@@ -183,9 +183,7 @@ elif [ "$PLATFORM" = "odroid-u2" ]; then
     dd if=${ROOTFSDIR}/boot/E4412_S.tzsw.signed.bin of=${LOOPDEV} seek=2111 >/dev/null 2>&1
 fi
 
-if [ "$PLATFORM" != "beaglebone" ]; then
-    umount ${ROOTFSDIR}/boot
-fi
+umount ${ROOTFSDIR}/boot || :
 umount $ROOTFSDIR
 losetup -d $LOOPDEV
 rmdir $ROOTFSDIR